curl -X DELETE "https://api.magpipe.ai/functions/v1/manage-dynamic-variables/789e0123-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"message": "Dynamic variable deleted"
}
{
"error": "Dynamic variable not found"
}
Dynamic Variables
Delete Dynamic Variable
Delete a dynamic variable
DELETE
/
manage-dynamic-variables
/
{id}
curl -X DELETE "https://api.magpipe.ai/functions/v1/manage-dynamic-variables/789e0123-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"message": "Dynamic variable deleted"
}
{
"error": "Dynamic variable not found"
}
Permanently delete a dynamic variable. The agent will no longer extract this data from conversations.
Path Parameters
string
required
UUID of the dynamic variable to delete
Response
Returns a success message on deletion.curl -X DELETE "https://api.magpipe.ai/functions/v1/manage-dynamic-variables/789e0123-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"message": "Dynamic variable deleted"
}
{
"error": "Dynamic variable not found"
}